Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.x509.examples
Class AttrCertExample

    java.lang.Object
      org.bouncycastle.x509.examples.AttrCertExample

    public class AttrCertExample

extends java.lang.Object

A simple example that generates an attribute certificate.

Constructor Summary
`AttrCertExample()`

Method Summary
`static java.security.cert.X509Certificate` `createAcIssuerCert(java.security.PublicKey pubKey, java.security.PrivateKey privKey)` we generate the AC issuer's certificate
`static java.security.cert.X509Certificate` `createClientCert(java.security.PublicKey pubKey, java.security.PrivateKey caPrivKey, java.security.PublicKey caPubKey)` we generate a certificate signed by our CA's intermediate certficate
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrCertExample

    public AttrCertExample()

Method Detail

### createAcIssuerCert

    public static java.security.cert.X509Certificate createAcIssuerCert(java.security.PublicKey pubKey,
                                                                        java.security.PrivateKey privKey)
                                                                 throws java.lang.Exception

  we generate the AC issuer's certificate

  Throws:
    `java.lang.Exception`

### createClientCert

    public static java.security.cert.X509Certificate createClientCert(java.security.PublicKey pubKey,
                                                                      java.security.PrivateKey caPrivKey,
                                                                      java.security.PublicKey caPubKey)
                                                               throws java.lang.Exception

  we generate a certificate signed by our CA's intermediate certficate

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45